#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	hostapd
Version		:	2.10
Release		:	17.2.0.rel%{?dist}
Summary		:	IEEE 802.11 AP, IEEE 802.1X/WPA/WPA2/EAP/RADIUS Authenticator

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	http://w1.fi/hostapd

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	libnl-devel
BuildRequires	:	pkg-config

Requires	:	rtl8812au
#-----------------------------------------------------------------------------
%description
%{name} is a user space daemon for access point and authentication servers. It
implements IEEE 802.11 access point management, IEEE 802.1X/WPA/WPA2/EAP
Authenticators and RADIUS authentication server.
 
%{name} is designed to be a "daemon" program that runs in the back-ground and
acts as the backend component controlling authentication. %{name} supports
separate frontend programs and an example text-based frontend, hostapd_cli, is
included with %{name}.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license COPYING
%doc README README.hostapd README-WPS.hostapd
%doc %{name}/%{name}.conf
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %{_sysconfdir}/%{name}/remoteaccess.psk 
%{_initrddir}/%{name}
%{_sbindir}/%{name}
%{_sbindir}/%{name}_cli
%{_mandir}/man1/%{name}_cli.1.gz
%{_mandir}/man8/%{name}.8.gz

#-----------------------------------------------------------------------------
%preun
if [ "$1" = 0 ]; then
  %{_initrddir}/%{name} stop > /dev/null 2>&1 || :
  %{_sbindir}/chkconfig --del %{name}
  (
  /bin/echo -n "%{name}-%{version} has been fully removed on "; date
  ) > %{_var}/log/README-%{name}-removed
  fi

%post
if [ "$1" = 1 ]; then
  %{_sbindir}/chkconfig --add %{name}
  %{_sbindir}/chkconfig %{name} on
  /usr/sbin/service %{name} start >/dev/null 2>&1 || :
  fi
/usr/sbin/service %{name} condrestart >/dev/null 2>&1 || :

#=============================================================================
%package		logwatch
Summary		:	Logwatch scripts for hostapd

Requires	:	%{name} = %{version}-%{release}
Requires	:	logwatch

#-----------------------------------------------------------------------------
%description		logwatch
Logwatch scripts for %{name}.

#-----------------------------------------------------------------------------
%files logwatch
%defattr(-,root,root,-)
%doc %{name}/logwatch/README
%config(noreplace) %{_sysconfdir}/logwatch/conf/services/%{name}.conf
%{_sysconfdir}/logwatch/scripts/services/%{name}

#=============================================================================
%prep
%setup -q
tar xf %{SOURCE1}

#-----------------------------------------------------------------------------
#building application
%build

pushd hostapd
cat defconfig | sed \
  -e '$ a CONFIG_SAE=y' \
  -e '/^#CONFIG_DRIVER_NL80211=y/s/^#//' \
  -e '/^#CONFIG_DRIVER_NL80211_QCA=y/s/^#//' \
  -e '/^#CONFIG_DRIVER_HOSTAP=y/s/^#//' \
  -e '/^#CONFIG_DRIVER_WIRED=y/s/^#//' \
  -e '/^#CONFIG_RADIUS_SERVER=y/s/^#//' \
  -e '/^#CONFIG_IEEE80211N=y/s/^#//' \
  -e '/^#CONFIG_IEEE80211R=y/s/^#//' \
  -e '/^#CONFIG_IEEE80211AC=y/s/^#//' \
  -e '/^#CONFIG_IEEE80211AX=y/s/^#//' \
  -e '/^#CONFIG_FULL_DYNAMIC_VLAN=y/s/^#//' \
  -e '/^#CONFIG_LIBNL20=y/s/^#//' \
  -e '/^#CONFIG_VLAN_NETLINK=y/s/^#//' \
  -e '/^#CONFIG_GETRANDOM=y/s/^#//' \
  -e '/^#CONFIG_TAXONOMY=y/s/^#//' \
  -e '/^#CONFIG_FST=y/s/^#//' \
  -e '/^#CONFIG_WPA_TRACE=y/s/^#//' \
  -e '/^#CONFIG_GETRANDOM=y/s/^#//' \
  -e '/^#CONFIG_ACS=y/s/^#//' \
  -e '/^#CONFIG_OCV=y/s/^#//' \
  -e '/^#CONFIG_EAP_EKE=y/s/^#//' \
  -e '/^#CONFIG_EAP_TNC=y/s/^#//' \
  -e '/^#CONFIG_EAP_PWD=y/s/^#//' \
  -e '/^#CONFIG_EAP_FAST=y/s/^#//' \
  -e '/^#CONFIG_EAP_GPSK=y/s/^#//' \
  -e '/^#CONFIG_EAP_PAX=y/s/^#//' \
  -e '/^#CONFIG_OVC=y/s/^#//' \
  -e '/^#CONFIG_WPS=y/s/^#//' \
  > .config

echo "CFLAGS += -I%{_includedir}/libnl3"	>> .config
echo "LIBS += -L%{_libdir}"			>> .config

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

# Initscripts
install -p -m 755 -D					\
	%{name}-ok_addon/%{name}			\
	%{buildroot}%{_initrddir}/%{name}

# config files
install -d %{buildroot}/%{_sysconfdir}/%{name}
install -pm 0600					\
	%{name}-ok_addon/%{name}.conf			\
	%{name}-ok_addon/remoteaccess.psk 		\
	%{buildroot}/%{_sysconfdir}/%{name}

# binaries
install -d %{buildroot}/%{_sbindir}
install -pm 0755					\
	%{name}/%{name}					\
	%{buildroot}%{_sbindir}/%{name}
install -pm 0755					\
	%{name}/%{name}_cli				\
	%{buildroot}%{_sbindir}/%{name}_cli

# man pages
install -d %{buildroot}%{_mandir}/man{1,8}
install -pm 0644					\
	%{name}/%{name}_cli.1				\
	%{buildroot}%{_mandir}/man1
install -pm 0644					\
	%{name}/%{name}.8				\
	%{buildroot}%{_mandir}/man8

# logwatch files
install -d %{buildroot}/%{_sysconfdir}/logwatch/conf/services
install -pm 0644					\
	%{name}/logwatch/%{name}.conf			\
        %{buildroot}/%{_sysconfdir}/logwatch/conf/services/%{name}.conf
install -d %{buildroot}/%{_sysconfdir}/logwatch/scripts/services
install -pm 0755					\
	%{name}/logwatch/%{name}			\
        %{buildroot}/%{_sysconfdir}/logwatch/scripts/services/%{name}

# prepare docs
cp %{name}/README ./README.%{name}
cp %{name}/README-WPS ./README-WPS.%{name}
cp %{name}/logwatch/README ./README.logwatch
#-----------------------------------------------------------------------------
%changelog
